## gate.util
Class Strings

    java.lang.Object
      |
      +--gate.util.Strings

public class Strings
extends Object

Some utilities for use with Strings.

Field Summary
`private static boolean` `DEBUG` Debug flag
`private static String` `fileSep` Local fashion for file separators.
`private static String` `newline` Local fashion for newlines this year.
`private static char` `padChar` What character to pad with.
`private static String` `pathSep` Local fashion for path separators.

Constructor Summary
`Strings()`

Method Summary
`static String` `addLineNumbers(String text)` Helper method to add line numbers to a string
`static String` `addPadding(String pad, int n)` Add n pad characters to pad.
`static String` `getFileSep()` Get local fashion for file separators (e.g.
`static String` `getNl()` Get local fashion for newlines.
`static String` `getPathSep()` Get local fashion for path separators (e.g.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### padChar

    private static char padChar

  What character to pad with.

### newline

    private static String newline

  Local fashion for newlines this year.

### pathSep

    private static String pathSep

  Local fashion for path separators.

### fileSep

    private static String fileSep

  Local fashion for file separators.

Constructor Detail

### Strings

    public Strings()

Method Detail

### getNl

    public static String getNl()

  Get local fashion for newlines.

### getPathSep

    public static String getPathSep()

  Get local fashion for path separators (e.g. ":").

### getFileSep

    public static String getFileSep()

  Get local fashion for file separators (e.g. "/").

### addPadding

    public static String addPadding(String pad,
                                    int n)

  Add n pad characters to pad.

### addLineNumbers

    public static String addLineNumbers(String text)

  Helper method to add line numbers to a string